Subject: [Ietf-calsify] Section 4.6.4 Free/Busy Component: fbprop

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Aug 21 21:08:51 2006

In section 4.6.4 Free/Busy Component of RFC 2445...

The rule fbprop specifies that DTSTAMP, and UID are
OPTIONAL which is in contradiction with section 4.8.7.2
Date/Time Stamp, and section 4.8.4.7 Unique Identifier
which all specify that those two properties are REQUIRED
in VFREEBUSY components.

I propose to change the beginning of "todoprop" as follows:

 >  fbprop = *(
 >
 >         ; the following are both REQUIRED,
 >         ; but MUST NOT occur more than once
 >
 >         dtstamp / uid /
 >
 >         ; the following are optional,
 >         ; but MUST NOT occur more than once
 >
 >         ...

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Tue Aug 22 06:57:10 2006

Hi Bernard,

> which all specify that those two properties are REQUIRED

+1 with similar changes as per VEVENT.

-- 
Cyrus Daboo

---

From: Arnaud.Quillaud at Sun.COM (Arnaud Quillaud)
Date: Tue Aug 22 07:19:35 2006

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Bernard
> Desruisseaux
> Sent: Tuesday, August 22, 2006 6:09 AM
> To: Calsify WG
> Subject: [Ietf-calsify] Section 4.6.4 Free/Busy Component: fbprop
> 
> 

>From that same section 4.6.4, FREEBUSY components can be used for 3 purposes:
1) request for fb info
2) reply to a request for fb info
3) published fb info

I suspect that most existing applications (if not all) use fb components only for publishing and hence generate them withough any UID.
When publishing fb info what would be the meaning/usage of the UID ? It is not described in the spec.

All the examples in section 4.6.4 lack a UID.

Arnaud Q

> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Tue Aug 22 07:39:38 2006

Hi Arnaud,

--On August 22, 2006 4:23:09 PM +0200 Arnaud Quillaud 
<[email-masked]> wrote:

> I suspect that most existing applications (if not all) use fb components
> only for publishing and hence generate them withough any UID. When
> publishing fb info what would be the meaning/usage of the UID ? It is not
> described in the spec.

Good point. In fact the original iTIP does not require UID in VFREEBUSY 
when using the PUBLISH method, but does require it for REQUEST and REPLY 
methods. However, UID is needed if you ever want to send out updates to 
published data (so that the update can replace the original), so in 2446bis 
I made UID a requirement for PUBLISH.

-- 
Cyrus Daboo